## org.apache.myfaces.custom.calendar
Class HtmlInputCalendarTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.myfaces.taglib.UIComponentTagBase
              org.apache.myfaces.taglib.html.HtmlComponentTagBase
                  org.apache.myfaces.taglib.html.HtmlInputTagBase
                      org.apache.myfaces.custom.calendar.HtmlInputCalendarTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

public class HtmlInputCalendarTag
extends HtmlInputTagBase

Version:
  $Revision: 230419 $ $Date: 2005-08-05 05:18:29 -0400 (Fri, 05 Aug 2005) $
Author:
  Martin Marinschek (latest modification by $Author: mmarinschek $)

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`HtmlInputCalendarTag()`

Method Summary
`java.lang.String` `getComponentType()`
`java.lang.String` `getRendererType()`
`void` `release()`
`void` `setAccesskey(java.lang.String accesskey)`
`void` `setAddResources(java.lang.String addResources)`
`void` `setAlign(java.lang.String align)`
`void` `setAlt(java.lang.String alt)`
`void` `setCurrentDayCellClass(java.lang.String currentDayCellClass)`
`void` `setDayCellClass(java.lang.String dayCellClass)`
`void` `setDisabled(java.lang.String disabled)`
`void` `setEnabledOnUserRole(java.lang.String enabledOnUserRole)`
`void` `setMaxlength(java.lang.String maxlength)`
`void` `setMonthYearRowClass(java.lang.String monthYearRowClass)`
`void` `setOnblur(java.lang.String onblur)`
`void` `setOnchange(java.lang.String onchange)`
`void` `setOnfocus(java.lang.String onfocus)`
`void` `setOnselect(java.lang.String onselect)`
`void` `setPopupButtonString(java.lang.String popupButtonString)`
`void` `setPopupDateFormat(java.lang.String popupDateFormat)`
`void` `setPopupGotoString(java.lang.String popupGotoString)`
`void` `setPopupScrollLeftMessage(java.lang.String popupScrollLeftMessage)`
`void` `setPopupScrollRightMessage(java.lang.String popupScrollRightMessage)`
`void` `setPopupSelectDateMessage(java.lang.String popupSelectDateMessage)`
`void` `setPopupSelectMonthMessage(java.lang.String popupSelectMonthMessage)`
`void` `setPopupSelectYearMessage(java.lang.String popupSelectYearMessage)`
`void` `setPopupTodayString(java.lang.String popupTodayString)`
`void` `setPopupWeekString(java.lang.String popupWeekString)`
`protected void` `setProperties(javax.faces.component.UIComponent component)`
`void` `setRenderAsPopup(java.lang.String renderAsPopup)`
`void` `setRenderPopupButtonAsImage(java.lang.String renderPopupButtonAsImage)`
`void` `setSize(java.lang.String size)`
`void` `setTabindex(java.lang.String tabindex)`
`void` `setVisibleOnUserRole(java.lang.String visibleOnUserRole)`
`void` `setWeekRowClass(java.lang.String weekRowClass)`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlInputTagBase
`setImmediate, setReadonly, setRequired, setValidator, setValueChangeListener`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.apache.myfaces.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setImageLocation, setIntegerProperty, setJavascriptLocation, setStringProperty, setStyleLocation, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlInputCalendarTag

    public HtmlInputCalendarTag()

Method Detail

### getComponentType

    public java.lang.String getComponentType()

### getRendererType

    public java.lang.String getRendererType()

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `HtmlInputTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `HtmlInputTagBase`

### setMonthYearRowClass

    public void setMonthYearRowClass(java.lang.String monthYearRowClass)

### setWeekRowClass

    public void setWeekRowClass(java.lang.String weekRowClass)

### setDayCellClass

    public void setDayCellClass(java.lang.String dayCellClass)

### setCurrentDayCellClass

    public void setCurrentDayCellClass(java.lang.String currentDayCellClass)

### setRenderAsPopup

    public void setRenderAsPopup(java.lang.String renderAsPopup)

### setAddResources

    public void setAddResources(java.lang.String addResources)

### setPopupDateFormat

    public void setPopupDateFormat(java.lang.String popupDateFormat)

### setPopupButtonString

    public void setPopupButtonString(java.lang.String popupButtonString)

### setRenderPopupButtonAsImage

    public void setRenderPopupButtonAsImage(java.lang.String renderPopupButtonAsImage)

### setEnabledOnUserRole

    public void setEnabledOnUserRole(java.lang.String enabledOnUserRole)

### setVisibleOnUserRole

    public void setVisibleOnUserRole(java.lang.String visibleOnUserRole)

### setPopupGotoString

    public void setPopupGotoString(java.lang.String popupGotoString)

### setPopupScrollLeftMessage

    public void setPopupScrollLeftMessage(java.lang.String popupScrollLeftMessage)

### setPopupScrollRightMessage

    public void setPopupScrollRightMessage(java.lang.String popupScrollRightMessage)

### setPopupSelectDateMessage

    public void setPopupSelectDateMessage(java.lang.String popupSelectDateMessage)

### setPopupSelectMonthMessage

    public void setPopupSelectMonthMessage(java.lang.String popupSelectMonthMessage)

### setPopupSelectYearMessage

    public void setPopupSelectYearMessage(java.lang.String popupSelectYearMessage)

### setPopupTodayString

    public void setPopupTodayString(java.lang.String popupTodayString)

### setPopupWeekString

    public void setPopupWeekString(java.lang.String popupWeekString)

### setAccesskey

    public void setAccesskey(java.lang.String accesskey)

### setAlign

    public void setAlign(java.lang.String align)

### setAlt

    public void setAlt(java.lang.String alt)

### setDisabled

    public void setDisabled(java.lang.String disabled)

### setMaxlength

    public void setMaxlength(java.lang.String maxlength)

### setOnblur

    public void setOnblur(java.lang.String onblur)

### setOnchange

    public void setOnchange(java.lang.String onchange)

### setOnfocus

    public void setOnfocus(java.lang.String onfocus)

### setOnselect

    public void setOnselect(java.lang.String onselect)

### setSize

    public void setSize(java.lang.String size)

### setTabindex

    public void setTabindex(java.lang.String tabindex)